Summary: DOS emulator
Name: dosemu
Version: 0.66.7
Release: 5
Exclusivearch: i386
Copyright: distributable
Group: Applications/Emulators
Source0: ftp://tsx-11.mit.edu/pub/linux/ALPHA/dosemu/dosemu-%{PACKAGE_VERSION}.tgz
Source1: http://www.freedos.org/files/base-1.zip
Source2: http://www.freedos.org/files/beta1932.zip
Patch0: dosemu-0.66.7-config.patch
Patch1: dosemu-0.66.7-glibc.patch
Patch2: dosemu-0.66.7-pushal.patch
Icon: dosemu.gif
Requires: kernel >= 2.0.28, mtools >= 3.6
Buildroot: /var/tmp/dosemu-root
Summary(de): DOS-Emulator
Summary(fr): Emulateur DOS
Summary(tr): DOS yknmcs

%package -n xdosemu
Requires: dosemu = %{PACKAGE_VERSION}
Summary: DOS emulator designed to run under X
Group: Applications/Emulators
Summary(de): DOS-Emulator fr X
Summary(fr): mulateur DOS conu pou tre lanc sous X
Summary(tr): X altnda alan DOS yknmcs

%description
This package enables you to run a number of DOS programs under Linux. This
package includes an image with DOS-C kernel (MS DOS 3.31 compatible) and FreeDos
utilities. You should be able to start up the DOS emulator by logging in as
root and typing 'dos' at the prompt.

%description -n xdosemu
This is a version of the DOS emulator that is designed to run in an X windows
session. It provides VGA graphics support as well as mouse support.

%description -l de -n xdosemu
Dies ist eine Version des DOS-Emulators fr X-Windows-Sitzungen.
Er untersttzt VGA-Grafiken und Maus.

%description -l fr -n xdosemu
Version de l'mulateur DOS conue pour tourner dans une session X. Offre une
gestion des graphismes VGA et de la souris.

%description -l tr -n xdosemu
Bu yazlm, DOS yknmcsnn X altnda alan bir srmdr. VGA grafikleri
ve fare destei vardr.

%changelog
* Fri May 08 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr

* Fri Apr 10 1998 Cristian Gafton <gafton@redhat.com>
- added DOS-C kernel and FreeDos utilities

* Thu Jan 29 1998 Cristian Gafton <gafton@redhat.com>
- updated spec file to include all the available commands
- uses a buildroot
- ship mkfatimage16, which is the only binary that can create a real hdimage
  file

* Mon Nov 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Updated to 0.66.7
- Ported to glibc

* Wed Apr 16 1997 Erik Troan <ewt@redhat.com>
- Updated to 0.66.2.
- Removed /usr/bin/load-dosmods as we don't need emumod.o anymore

* Tue Mar 11 1997 Michael K. Johnson <johnsonm@redhat.com>
- Modify the default configuration file to use /var/lock in
  ascii format for lock files, as specified in the FSSTD/FHS.

* Thu Mar 06 1997 Michael K. Johnson <johnsonm@redhat.com>
- Assume vm86plus system call does not exist.
- N.B. This should be changed in a future version with a later kernel
  that supports that system call by default.

Install the mkhdimage program.

%prep
%setup
%patch0 -p1 -b .lock
%patch1 -p1 -b .glibc
%patch2 -p1 -b .pushal

%build
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/X11R6/bin
./default-configure
echo | make
make -C src/doc

%install
rm -rf $RPM_BUILD_ROOT
make install INSTROOT=$RPM_BUILD_ROOT
install -m 755 src/tools/periph/{hdinfo,mkhdimage,mkfatimage16} $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/share/icons
install -m 644 etc/dosemu.xpm $RPM_BUILD_ROOT/usr/share/icons
mkdir -p $RPM_BUILD_ROOT/etc
install -m 644 etc/dosemu.users.secure $RPM_BUILD_ROOT/etc/dosemu.users
install -m 644 etc/config.dist $RPM_BUILD_ROOT/etc/dosemu.conf
# this is the hardest thing - make our hdimage bootable
(rm -rf freedos ; mkdir freedos
cd freedos
unzip -L $RPM_SOURCE_DIR/base-1.zip
unzip -L $RPM_SOURCE_DIR/beta1932.zip
for i in *.zip ; do unzip -L $i ; done
rm -f bin/ipl.sys bin/kernel.exe bin/command.com ../commands/config.sys
../src/tools/periph/mkfatimage16 -b ./dos-c/dist/boot.bin -k 1760 \
    -l FreeDos -f $RPM_BUILD_ROOT/var/lib/dosemu/hdimage -p \
    ./dos-c/dist/* bin/*.sys bin/*.exe bin/*.com \
    ../commands/*.sys ../commands/*.com ../commands/*.exe ../commands/*.doc
)
#install -m 644 etc/hdimage.dist $RPM_BUILD_ROOT/var/lib/dosemu/hdimage
# install dexe utils
#install -m 755 dexe/{do_mtools,extract-dos,mkdexe,myxcopy} $RPM_BUILD_ROOT/usr/bin

cat <<EOF >$RPM_BUILD_ROOT/usr/bin/rundos
#!/bin/sh
BINDIR=/bin
export BINDIR 
# ignore errors if user does not have module installed
/usr/bin/dos
EOF
chmod 0755 $RPM_BUILD_ROOT/usr/bin/rundos

find $RPM_BUILD_ROOT -type f -or -type l | \
	sed "s|$RPM_BUILD_ROOT||" | \
	grep -v "/usr/bin/x\|/etc/\|/usr/man/man1/x\|/usr/X11R6\|/var/lib" > dosemu.files

%post -n xdosemu
if [ -x /usr/X11R6/bin/mkfontdir ]; then
	(cd /usr/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir)
fi

%postun -n xdosemu
if [ -x /usr/X11R6/bin/mkfontdir ]; then
	(cd /usr/X11R6/lib/X11/fonts/misc; /usr/X11R6/bin/mkfontdir)
fi

%files -f dosemu.files
%doc QuickStart doc/* src/doc/DANG/*.html src/doc/HOWTO/*.html
%doc src/doc/README/html/*
%dir /var/lib/dosemu
%config /etc/dosemu.conf
%config /etc/dosemu.users
%config /var/lib/dosemu/hdimage

%files -n xdosemu
/usr/bin/xdos
/usr/bin/xtermdos
/usr/man/man1/xdos.1
/usr/man/man1/xtermdos.1
/usr/X11R6/lib/X11/fonts/misc/vga.pcf

%clean
rm -rf $RPM_BUILD_ROOT
rm -f dosemu.files
rm -rf freedos
